GDB (xrefs)

Public Attributes | List of all members
btrace_config Struct Reference

`#include "btrace-common.h"`

## Public Attributes
enum btrace_format | format
struct btrace_config_bts | bts
struct btrace_config_pt | pt

## Detailed Description

Definition at line 124 of file btrace-common.h.

## Member Data Documentation

## ◆ bts

struct btrace_config_bts btrace_config::bts

Definition at line 130 of file btrace-common.h.

Referenced by _initialize_record_btrace(), btrace_sync_conf(), parse_xml_btrace_conf_bts(), and record_btrace_print_conf().

## ◆ format

enum btrace_format btrace_config::format

Definition at line 127 of file btrace-common.h.

Referenced by btpy_insn_or_gap_new(), btrace_call_history(), btrace_enable(), btrace_insn_history(), cmd_record_btrace_bts_start(), cmd_record_btrace_pt_start(), cmd_record_btrace_start(), maint_info_btrace_cmd(), parse_xml_btrace_conf_bts(), parse_xml_btrace_conf_pt(), record_btrace_print_conf(), record_btrace_push_target(), recpy_bt_format(), remote_btrace_maybe_reopen(), and remote_enable_btrace().

## ◆ pt

struct btrace_config_pt btrace_config::pt

Definition at line 133 of file btrace-common.h.

Referenced by _initialize_record_btrace(), btrace_sync_conf(), parse_xml_btrace_conf_pt(), and record_btrace_print_conf().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/btrace-common.h